function init(hero) {
    hero.setName("Invisible Woman");
    hero.setVersion ("Movies");
    hero.setTier(4);

    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("soulhp:invisible_physiology");
    hero.addAttribute("MAX_HEALTH", 5.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.25, 0);
    hero.addAttribute("SPRINT_SPEED", 0.9, 1);
    hero.addAttribute("KNOCKBACK", 2.0, 0);

    hero.addKeyBind("INVISIBILITY", "key.invisibility", 1);
    hero.addKeyBind("SHIELD", "key.forcefield", 2);
	
	hero.addAttributeProfile("SHIELD", shieldProfile);
}
		

function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("BASE_SPEED", -0.75, 1);
    profile.addAttribute("JUMP_HEIGHT", -2.0, 1);
}